Get all vehicles
GET
https://api.expirationreminder.com/v1/vehiclesQuery Parameters
term
stringOptionalDefault:
page
integerOptionalDefault: -1
sort
stringOptionalDefault:
sortDirection
stringOptionalDefault: asc
GET /v1/vehicles
$ curl https://api.expirationreminder.com/v1/vehicles \
-H "Authorization: Bearer <token>"
Responses
| Property | Type | Description |
|---|---|---|
vehicles |
VehicleModel[] |
- |
pages |
integer (int32) |
- |
page |
integer (int32) |
- |
total |
integer (int32) |
- |
Example Response
{
"vehicles": [
{
"id": "00000000-0000-0000-0000-000000000000",
"name": "string",
"vin": "string",
"license_plate": "string",
"year": 0,
"make": "string",
"model": "string",
"trim": "string",
"color": "string",
"body_type": "string",
"registration_province": "string",
"msrp": 0.0,
"primary_meter_type_id": 0,
"primary_meter_reading": 0,
"ownership_id": 0,
"status_id": "00000000-0000-0000-0000-000000000000",
"folder_id": "00000000-0000-0000-0000-000000000000",
"location_id": "00000000-0000-0000-0000-000000000000",
"type_id": "00000000-0000-0000-0000-000000000000",
"vehicle_fuel_type_id": "00000000-0000-0000-0000-000000000000",
"assigned_to_contact_id": "00000000-0000-0000-0000-000000000000",
"assigned_to": {
"name": "string",
"email": "string",
"id": "00000000-0000-0000-0000-000000000000",
"team_id": "00000000-0000-0000-0000-000000000000"
},
"team_id": "00000000-0000-0000-0000-000000000000",
"is_archived": false,
"modified": "string",
"custom_fields": [
{
"id": "00000000-0000-0000-0000-000000000000",
"name": "string",
"value": "string"
}
]
}
],
"pages": 0,
"page": 0,
"total": 0
}Bad Request
| Property | Type | Description |
|---|---|---|
message |
string |
- |
ok |
boolean |
- |
Example Response
{
"message": "string",
"ok": false
}